## Function `desigToIcrs( designation )`

Description:
  Attempts to decode an IAU-style designation such as "`2MASS J04355524+1630331`" to determine its sky position, following the specifications in the document https://cds.unistra.fr/Dic/iau-spec.html.

  Obviously, this only works where the sequence part of the designation takes one of the family of coordinate-based forms.

  Note: this function should be used with considerable care. Such designators are intended for object identification and not for communicating sky positions, so that the resulting positions are likely to lack precision, and may be inaccurate. If positional information is available from other sources, it should almost certainly be used instead. But if there's no other choice, this may be used as a fallback.

  Note also that a designator with no coordsystem-specific flag character (a leading "`J`", "`B`" or "`G`") is considered to be B1950, not J2000.

Parameters:
  `designation` (String)
    designation string in IAU format

Return Value (array of floating point):
  2-element array giving ICRS (RA,Dec) in degrees, or `null` if no position can be decoded

Signature:
  `double[] desigToIcrs(String)`